Package Etoil0

Uses IO

Sub AfficheEtoiles(NbEtoiles,PasTriangle as Int)
Var
   I as Int
Enter
 For I=1 to NbEtoiles*PasTriangle do
 Begin
  PutCar('*')
 Next \For\
Leave \Proc\

Sub Triangle(LongueurMax,PasTriangle as Int)
Var
   I as Int
Enter
 For I=1 to LongueurMax do
 Begin
  AfficheEtoiles(I,PasTriangle)
  PrintCR
 Next \For\
 For I=LongueurMax-1 downto 1 do
 Begin
  AfficheEtoiles(I,PasTriangle)
  PrintCR
 Next \For\
Leave \Proc\

Enter
 Triangle(5,2)
Leave